#ifndef  CIVHYDRFUNCINTER_H
#define CIVHYDRFUNCINTER_H
#define DLLEXPORT __declspec(dllexport)

#if defined(__cplusplus)
extern "C" {
#endif
	/**
	*@brief 模拟计算
	*@uri: 管网数据库连接
	*@netName: 管网名
	*@flag: 标记
	*/
	bool DLLEXPORT simulation(char* uri, char* netName, char* flag);

	/**
	*@brief 水力模拟计算
	*@uri: 管网数据库连接
	*@netName: 管网名
	*/
	bool DLLEXPORT hdySimulation(char* uri, char* netName);

	/**
	*@brief 水力模拟计算
	*@uri: 管网数据库连接
	*@netName: 管网名
	*@type: 水质模拟类型选择，水龄，追踪，化学成分
	*/
	bool DLLEXPORT qualitySimulation(char* uri, char* netName, char* type);


	/**
	*@brief 水质追踪模拟计算
	*@uri: 管网数据库连接
	*@netName: 管网名
	*@nodeSn: 追踪节点编号
	*/
	bool DLLEXPORT qualityTrackingSimulation(char* uri, char* netName, char* nodeSn);

	/**
	 *@brief 获取管网计算特定时段的结果
	 *@uri: 管网数据库连接uri
	 *@date: 日期
	 *@interval: 时段，整数
	 */
	bool DLLEXPORT getDataByInterval(char* uri, char* date, char* interval);

#if defined(__cplusplus)
}
#endif

#endif // ! CIVHYDRFUNCINTER_H



